package Flier_Match.FMCliente.motion;

import Flier_Match.FMCliente.sonido.ManejadorSonidos;

import com.threed.jpct.Camera;
import com.threed.jpct.SimpleVector;
import com.threed.jpct.World;

public class BulletThread extends Thread{

	private ManejadorDisparos MD;
	private boolean salir;
	
	public BulletThread (ManejadorSonidos MS) {
		MD=new ManejadorDisparos (MS);
		salir=false;
	}
	
	public void run () {
		while (!salir) {
			MD.moverDisparos();
			try {
				sleep (40);
			} catch (Exception E) {
				E.printStackTrace();
			}
		}
	}
	
	/**
	 * Metodo llamado para detener el Thread del movimiento de las balas
	 *
	 */
	public void salir () {
		salir=true;
	}
	
	public void agregarDisparo (SimpleVector posicion, SimpleVector direccion, int tipo, World mundo, Camera cam) {
		MD.addDisparo(posicion, direccion, tipo, mundo, cam);
	}
	
}
