/*
 * NodoRed.java
 *
 * Created on 20 de marzo de 2006, 15:02
 */

package Flier_Match.FMRed;
import com.threed.jpct.Object3D;
import com.threed.jpct.SimpleVector;
import com.threed.jpct.World;
/**
 *
 * @author  Administrador
 * @version 
 */
public class NodoRed implements java.io.Serializable{
    private SimpleVector posicion;
    private Direccion direccion;
    private int vida;
    private String nick;
    private int id;
    public NodoRed sig;
    public int cambio;
    public float Yrot;
    public float Xrot;
    
    /** Creates new NodoRed */
    public NodoRed(String anick, int avida, SimpleVector apos, Direccion adir) {
        nick=anick;
        vida=avida;
        posicion=apos;
        direccion=adir;
    }

    public void setId (int aid) {
        id=aid;
    }

    public int getId () {
        return id;
    }

    public String getNick () {
        return nick;
    }

    public int getVida () {
        return vida;
    }

    public SimpleVector getPosicion () {
        return posicion;
    }

    public Direccion getDireccion () {
        return direccion;
    }

    public void setPosicion (SimpleVector apos) {
        posicion=apos;
    }

    public void setDireccion (Direccion adir) {
        direccion=adir;
    }
    
    public void setVida (int avida) {
        vida=avida;
    }

    public void mover (World mundo) {
        try {
            Object3D nave=mundo.getObjectByName ("Nave"+id);
            nave.translate (posicion.calcSub (nave.getTranslation ()));
            
            nave.setRotationMatrix(direccion.rot.cloneMatrix());

        } catch (Exception E) {
            System.out.println ("\nHa existido un error: "+E.getMessage()+" moviendo a la Nave:"+id);
        }

    }

}

